Package com.google.gwt.user.client.ui

## Class MultiWordSuggestOracle.MultiWordSuggestion

- java.lang.Object
- - com.google.gwt.user.client.ui.MultiWordSuggestOracle.MultiWordSuggestion

- All Implemented Interfaces:
    `IsSerializable`, `SuggestOracle.Suggestion`
  Enclosing class:
    MultiWordSuggestOracle

      public static class MultiWordSuggestOracle.MultiWordSuggestion
      extends java.lang.Object
      implements SuggestOracle.Suggestion, IsSerializable

  Suggestion class for `MultiWordSuggestOracle`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiWordSuggestion()` | Constructor used by RPC.
    `MultiWordSuggestion​(java.lang.String replacementString, java.lang.String displayString)` | Constructor for `MultiWordSuggestion`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayString()` | Gets the display string associated with this suggestion.
    `java.lang.String` | `getReplacementString()` | Gets the replacement string associated with this suggestion.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiWordSuggestion

          public MultiWordSuggestion()

      Constructor used by RPC.

    - #### MultiWordSuggestion

          public MultiWordSuggestion​(java.lang.String replacementString,
                                     java.lang.String displayString)

      Constructor for `MultiWordSuggestion`.
      Parameters:
        `replacementString` - the string to enter into the SuggestBox's text box if the suggestion is chosen
        `displayString` - the display string

  - ### Method Detail

    - #### getDisplayString

          public java.lang.String getDisplayString()

      Description copied from interface: `SuggestOracle.Suggestion`
      Gets the display string associated with this suggestion. The interpretation of the display string depends upon the value of its oracle's `SuggestOracle.isDisplayStringHTML()`.
      Specified by:
        `getDisplayString` in interface `SuggestOracle.Suggestion`
      Returns:
        the display string for this suggestion

    - #### getReplacementString

          public java.lang.String getReplacementString()

      Description copied from interface: `SuggestOracle.Suggestion`
      Gets the replacement string associated with this suggestion. When this suggestion is selected, the replacement string will be entered into the SuggestBox's text box.
      Specified by:
        `getReplacementString` in interface `SuggestOracle.Suggestion`
      Returns:
        the string to be entered into the SuggestBox's text box when this suggestion is selected